#!/bin/bash

echo "Path to openrc.sh file" 

read rc

echo "Path to security group yaml"

read secg

echo "Path to stack yaml"

read stack

echo "Number of stacks to build"
read END

echo "Input Domain (vta or vta-dev)"
read VTA

echo "Name your stack "
read stackName

if [[ $VTA == "vta-dev" ]]
then
    DNS="172.20.255.254"
else
    DNS="10.50.255.254"
fi

source $rc
token=`openstack token issue`
tenantID=`echo $token | awk -F '|' '{print $12}' | tr -d " "`

sed "s/TENANTIDREPLACE/$tenantID/g" $stack > tmp.yaml
sed -i "s/NETWORKNUMBER/28/g" tmp.yaml
sed -i "s/OpenStackVTA/$VTA/g" tmp.yaml
sed -i "s/DNS_ADDRESS/$DNS/g" tmp.yaml


openstack stack create --template $secg SecGroup
sleep 2m

for (( i=$END; i>=1; i-- ))
  do
    token=`openstack token issue`
    AUTHTOKEN=`echo $token | awk -F '|' '{print $9}' | tr -d " "`
    openstack stack create --template tmp.yaml --parameter "stu_id=$i;auth_token=$AUTHTOKEN" $stackName-$i
    sleep 1m
  done

rm -rf tmp.yaml

