#!/bin/bash

## Setting up the help menu and the flags for this script ##
while test $# -gt 0; do
  case "$1" in
    -h|--help)
      echo -e '\e[31m  ______                        __                                                     ______   __                    __            __                                         '
      echo -e '\e[31m /      |                      /  |                                                   /      \ /  |                  /  |          /  |                                        '
      echo -e '\e[31m $$$$$$/  _______    _______  _$$ |_     ______   _______    _______   ______        /$$$$$$  |$$ |____   __    __  _$$ |_     ____$$ |  ______   __   __   __  _______       '
      echo -e '\e[31m   $$ |  /       \  /       |/ $$   |   /      \ /       \  /       | /      \       $$ \__$$/ $$      \ /  |  /  |/ $$   |   /    $$ | /      \ /  | /  | /  |/       \       '
      echo -e '\e[31m   $$ |  $$$$$$$  |/$$$$$$$/ $$$$$$/    $$$$$$  |$$$$$$$  |/$$$$$$$/ /$$$$$$  |      $$      \ $$$$$$$  |$$ |  $$ |$$$$$$/   /$$$$$$$ |/$$$$$$  |$$ | $$ | $$ |$$$$$$$  |      '
      echo -e '\e[31m   $$ |  $$ |  $$ |$$      \   $$ | __  /    $$ |$$ |  $$ |$$ |      $$    $$ |       $$$$$$  |$$ |  $$ |$$ |  $$ |  $$ | __ $$ |  $$ |$$ |  $$ |$$ | $$ | $$ |$$ |  $$ |     '
      echo -e '\e[31m  _$$ |_ $$ |  $$ | $$$$$$  |  $$ |/  |/$$$$$$$ |$$ |  $$ |$$ \_____ $$$$$$$$/       /  \__$$ |$$ |  $$ |$$ \__$$ |  $$ |/  |$$ \__$$ |$$ \__$$ |$$ \_$$ \_$$ |$$ |  $$ |      '
      echo -e '\e[31m / $$   |$$ |  $$ |/     $$/   $$  $$/ $$    $$ |$$ |  $$ |$$       |$$       |      $$    $$/ $$ |  $$ |$$    $$/   $$  $$/ $$    $$ |$$    $$/ $$   $$   $$/ $$ |  $$ |      '
      echo -e '\e[31m $$$$$$/ $$/   $$/ $$$$$$$/     $$$$/   $$$$$$$/ $$/   $$/  $$$$$$$/  $$$$$$$/        $$$$$$/  $$/   $$/  $$$$$$/     $$$$/   $$$$$$$/  $$$$$$/   $$$$$/$$$$/  $$/   $$/       '
      echo -e '\e[31m                                                                                                                                                                               '
      echo -e '\e[31m                                                                                                                                                                               '
      echo -e '\e[31m                                                                                                                                                                               '
      echo -e '\e[31m        __         ______    __                            __             ______    ______   _______   ______  _______   ________                                              '
      echo -e '\e[31m       /  |       /      \  /  |                          /  |           /      \  /      \ /       \ /      |/       \ /        |                                             '
      echo -e '\e[31m      /$$/       /$$$$$$  |_$$ |_     ______    ______   _$$ |_         /$$$$$$  |/$$$$$$  |$$$$$$$  |$$$$$$/ $$$$$$$  |$$$$$$$$/                                              '
      echo -e '\e[31m     /$$/        $$ \__$$// $$   |   /      \  /      \ / $$   |        $$ \__$$/ $$ |  $$/ $$ |__$$ |  $$ |  $$ |__$$ |   $$ |                                                '
      echo -e '\e[31m    /$$/         $$      \$$$$$$/    $$$$$$  |/$$$$$$  |$$$$$$/         $$      \ $$ |      $$    $$<   $$ |  $$    $$/    $$ |                                                '
      echo -e '\e[31m   /$$/           $$$$$$  | $$ | __  /    $$ |$$ |  $$/   $$ | __        $$$$$$  |$$ |   __ $$$$$$$  |  $$ |  $$$$$$$/     $$ |                                                '
      echo -e '\e[31m  /$$/           /  \__$$ | $$ |/  |/$$$$$$$ |$$ |        $$ |/  |      /  \__$$ |$$ \__/  |$$ |  $$ | _$$ |_ $$ |         $$ |                                                '
      echo -e '\e[31m /$$/            $$    $$/  $$  $$/ $$    $$ |$$ |        $$  $$/       $$    $$/ $$    $$/ $$ |  $$ |/ $$   |$$ |         $$ |                                                '
      echo -e '\e[31m $$/              $$$$$$/    $$$$/   $$$$$$$/ $$/          $$$$/         $$$$$$/   $$$$$$/  $$/   $$/ $$$$$$/ $$/          $$/                                                 '
      echo -e '\e[31m                                                                                                                                                                               '
      echo -e '\e[31m                                                                                                                                                                               '
      echo -e '\e[31m                                                                                                                                                                              '
      echo " "
      echo "./Instance_ON-OFF.sh [options] [arguments]"
      echo " "
      echo "options:"
      echo "-h, --help                show brief help"
      echo "-S, --Shutdown            -S OFF"
      echo "-O, --Start-Up            -O ON"
      echo "-R, --reboot              Path to openrc.sh"
      echo "-rc, --rcfile              Path to openrc.sh"

      exit 0
      ;;
    -rc|--rcfile)
      shift
      if test $# -gt 0; then
       export rc=$1
      else
       echo "No rc file Specified"
       exit 1
      fi
      shift
      ;;
    -O|--Start-Up)
      shift
      if test $# -gt 0; then
       export ON=$1
      else
       echo "No State Specified"
       exit 1
      fi
      shift
      ;;
    -S|--shutdown)
      shift
      if test $# -gt 0; then
       export OFF=$1
      else
       echo "No State Specified"
       exit 1
      fi
      shift
      ;;
    -R|--reboot)
      shift
      if test $# -gt 0; then
       export reboot=$1
      else
       echo "No State Specified"
       exit 1
      fi
      shift
      ;;

    *)
      break
      ;;
  esac
done


source $rc
InstanceName=$(openstack server list -f json 2>/dev/null -f json 2>/dev/null | jq '.[] | select(."Name")' | jq -r '."Name"')

for i in $(echo "$InstanceName")
      do
	if [ -n "$ON" ]; then
	  openstack server start $i
	  echo "Starting $i"
	  #sleep 1s
	elif [ -n "$OFF" ]; then
	  openstack server stop $i &
	  echo "Shutting down $i"
	  #sleep 1s
        else 
	  openstack server reboot --hard $i
          echo "Rebooting $i "
  	fi
     done
